Get widget
curl --request GET \
--url https://api.coval.dev/v1/dashboards/{dashboard_id}/widgets/{widget_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/dashboards/{dashboard_id}/widgets/{widget_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/dashboards/{dashboard_id}/widgets/{widget_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"widget": {
"name": "dashboards/abc123def456ghi789jklm/widgets/wgt456xyz789abc012defg",
"type": "chart",
"create_time": "2025-10-14T12:00:00Z",
"update_time": "2025-10-15T14:30:00Z",
"display_name": "Response Time Chart",
"grid_x": 123,
"grid_y": 123,
"grid_w": 123,
"grid_h": 123,
"config": {
"metricId": "<string>",
"visualizationType": "line",
"monitoring": "Monitoring",
"aggregation": "avg",
"metricOutputType": "float",
"stacked": true,
"grouped": true,
"showAsPercentage": true,
"groupBy": "agent",
"customColorMap": {},
"xAxisLabel": "<string>",
"yAxisLabel": "<string>",
"customSeriesNames": {},
"hiddenSeries": [
"<string>"
],
"precision": 1,
"units": "<string>",
"showCount": true,
"showRange": true,
"showStdDev": true,
"showBoxPlot": true,
"showTargetZone": true,
"filters": {
"metricIds": [
"<string>"
],
"agentIds": [
"<string>"
],
"agentMutationIds": [
"<string>"
],
"personaIds": [
"<string>"
],
"templateNames": [
"<string>"
],
"testSetIds": [
"<string>"
],
"metadata": [
{}
]
},
"metricFilter": [
{
"metricId": "<string>",
"operator": ">=",
"value": 123,
"metricOutputType": "float"
}
]
}
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": [
{
"field": "dashboard_id",
"description": "Dashboard not found or not accessible by your organization"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Widgets
Get widget
Retrieve a specific widget by ID.
GET
/
dashboards
/
{dashboard_id}
/
widgets
/
{widget_id}
Get widget
Authorizations
API key for authentication
Path Parameters
Dashboard resource ID (22-character ShortUUID)
Widget resource ID (22-character ShortUUID)
Response
Widget retrieved successfully
Widget resource
Show child attributes
Show child attributes
Was this page helpful?
⌘I